CREATE TABLE `oauth_tokens` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nonce` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `code` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  `expires` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4;
