@extends(templates/layout_normal)

@section(main)
    <h2>Login</h2>
    <div class="box compactBox">
        <form id="loginForm" action="<?= Container::$routeCollection->getRoute('login-action')->generateLink() ?>" method="post" data-redirect-on-success="<?= $redirectUrl ?>">
            <p class="formLabel">Email address / Username</p>
            <input type="text" class="text big fullWidth" name="email" autocomplete="username" required autofocus>
            <p class="formLabel marginTop">Password</p>
            <input type="password" class="text big fullWidth" name="password" autocomplete="current-password" required minlength="6">
            <p id="loginFormError" class="formError justify marginTop"></p>
            <div class="right marginTop">
                <button type="submit"><i class="fa-solid fa-arrow-right-to-bracket"></i> Login</button>
            </div>
            <p class="center marginTop"><a href="<?= Container::$routeCollection->getRoute('password.requestReset')->generateLink() ?>" title="Request password reset">Forgot your password?</a></p>
            <hr>
            <div class="center">
                <a class="button yellow" href="<?= Container::$routeCollection->getRoute('login.google')->generateLink() ?>" title="Login with Google"><i class="fa-brands fa-google"></i> Login with Google</a>
            </div>
        </form>
    </div>
@endsection
