@extends(templates/rvr)

@section(content)
<header>
    <h1>
        <a href="<?= Container::$routeCollection->getRoute('home')->generateLink() ?>" title="<?= $_ENV['APP_NAME'] ?>">
            <img class="inline" width="1em" height="1em" src="<?= $_ENV['STATIC_ROOT'] ?>/img/icon.svg?rev=<?= REVISION ?>" alt="<?= $_ENV['APP_NAME'] ?>"><!--
         --><span><?= $_ENV['APP_NAME'] ?></span>
        </a>
    </h1>
    <p>
        <?php if (Container::$request->user()) : ?>
            <span><a href="<?= Container::$routeCollection->getRoute('account')->generateLink() ?>" title="Account"><!--
              --><i class="fa-regular fa-user"></i> <?= Container::$request->user()->getDisplayName() ?><!--
         --></a></span><!--
         --><span><a href="<?= Container::$routeCollection->getRoute('logout')->generateLink() ?>" title="Logout"><!--
              --><i class="fa-solid fa-arrow-right-from-bracket"></i> Logout</a><!--
         --></span>
        <?php endif; ?>
    </p>
</header>
<main>
@yields('main')
</main>
<footer>
    <p><?= round($__debug_runtime, 0) ?> ms</p><!--
 --><p><span class="bold"><?= $_ENV['APP_NAME'] ?></span> <?= str_replace('Release_', '', VERSION) ?></p><!--
 --><p>&copy; The RVR Contributors <?= (new DateTime(REVISION_DATE))->format('Y') ?></p>
</footer>
@endsection
